## org.eclipse.amp.amf.ide.repast
Class MetaABMScoreTransformer

    java.lang.Object
      org.eclipse.amp.amf.ide.repast.MetaABMScoreTransformer

    public class MetaABMScoreTransformer

extends java.lang.Object

Constructor Summary
`MetaABMScoreTransformer(java.util.Map<java.lang.String,java.lang.String> genProperties)`

Method Summary
`void` `generateScoreModel()`
`static java.lang.String` `getScoreDirectory(org.eclipse.core.runtime.IPath path)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaABMScoreTransformer

    public MetaABMScoreTransformer(java.util.Map<java.lang.String,java.lang.String> genProperties)

Method Detail

### getScoreDirectory

    public static java.lang.String getScoreDirectory(org.eclipse.core.runtime.IPath path)

### generateScoreModel

    public void generateScoreModel()